Get game
curl --request GET \
--url https://softmax.com/api/observatory/v2/games/{game_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://softmax.com/api/observatory/v2/games/{game_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://softmax.com/api/observatory/v2/games/{game_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"owner_user_id": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"coworld_name": "<string>",
"description": "<string>",
"notes": "<string>",
"default_league_id": "<string>",
"coworld_id": "<string>",
"canonical_coworld_id": "<string>",
"coworld_tags": [
"<string>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Coworlds
Get game
Returns one game with a visible active league.
GET
/
v2
/
games
/
{game_id}
Get game
Authorizations
Bearer token issued by Softmax
Path Parameters
Game to return.
Pattern:
^game_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Response
Successful Response
Human-readable game name.
User who owns this game.
Game ID.
Time when the game was created.
Coworld name backing this game, or null for games without a Coworld.
Public description of the game.
Notes about the game.
League opened by default for this game, or null when none is set.
Coworld version used in this context, or null when none is available.
Canonical Coworld version for this game, or null when none is published.
Tags declared by the canonical Coworld manifest.